
  <!DOCTYPE html>
  <html>
    <head>
      <title>useRenderCustomizedLine.tsx</title>
      <link href="https://cdn.jsdelivr.net/npm/semantic-ui@2.4.2/dist/semantic.min.css" type="text/css" rel="stylesheet">
      <script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.js" type="text/javascript" charset="utf-8"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/mode/javascript/javascript.min.js" type="text/javascript" charset="utf-8"></script>
<link href="https://cdnjs.cloudflare.com/ajax/libs/codemirror/5.58.2/codemirror.min.css" type="text/css" rel="stylesheet">
<script src="../../../../../assets/source-file.js" type="text/javascript" charset="utf-8"></script>
<link href="../../../../../assets/source-file.css" type="text/css" rel="stylesheet">
    </head>
    <body>
    <div style="margin-top:3em" class="ui container"><h1 class="ui header"><a href="../../../../../index.html">TypeScript coverage report</a></h1><table style="margin-top:2em" class="ui celled table"><thead class=""><tr class=""><th class="">Filename</th><th class="">Percent</th><th class="">Threshold</th><th class="">Total</th><th class="">Covered</th><th class="">Uncovered</th></tr></thead><tbody class=""><tr class="positive"><td class="">src/components/Graphic/hooks/useRenderCustomizedLine.tsx</td><td class="">97.96%</td><td class="">80%</td><td class="">49</td><td class="">48</td><td class="">1</td></tr></tbody></table><textarea id="editor" readonly="" style="margin-top:3em">import React, { useCallback } from &#x27;react&#x27;;
import { CustomizedDot } from &#x27;../components/CustomizedDot&#x27;;
import { REGULAR_COLOR } from &#x27;../constants&#x27;;
import { Line } from &#x27;recharts&#x27;;

export const useRenderCustomizedLine = ({
  xAxisKey,
  connectPointsByLines
}: {
  xAxisKey: string;
  connectPointsByLines?: boolean;
}) =&gt; {
  const dot = useCallback(
    (props) =&gt; &lt;CustomizedDot xAxisKey={xAxisKey} {...props} /&gt;,
    [xAxisKey]
  );
  return useCallback(
    ({
      dataKey,
      color = REGULAR_COLOR,
      onlyLine,
      onlyDots
    }: {
      dataKey: string;
      color?: string;
      onlyLine?: boolean;
      onlyDots?: boolean;
    }) =&gt; {
      return (
        &lt;Line
          connectNulls={true}
          name={dataKey}
          dot={onlyLine ? false : dot}
          activeDot={onlyLine ? false : dot}
          type=&quot;monotone&quot;
          dataKey={dataKey}
          stroke={color}
          strokeWidth={
            onlyLine ? 1 : onlyDots ? 0 : connectPointsByLines ? 1 : 0
          }
        /&gt;
      );
    },
    [connectPointsByLines, dot]
  );
};
</textarea><pre id="annotations" style="display:none">[{&quot;file&quot;:&quot;src/components/Graphic/hooks/useRenderCustomizedLine.tsx&quot;,&quot;line&quot;:13,&quot;character&quot;:5,&quot;text&quot;:&quot;props&quot;,&quot;kind&quot;:1}]</pre></div>
    <p class="footer-text">TypeScript Coverage Report generated by <a href="https://github.com/plantain-00/type-coverage">type-coverage</a> and <a href="https://github.com/alexcanessa/typescript-coverage-report">typescript-coverage-report</a> at Tue, 05 Oct 2021 23:09:04 GMT</p>
    </body>
  </html>
  